<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">He_Arc::RPG::Log Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Character</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Critical</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Debug</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Default</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Dice</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Fight</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>File</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Game</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a1b7b9d82700b4dd63139980aa36a0779">GetLogLevel</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a7e659695eb1f8cb46ad06cdb8c270a3c">GetLogMessage</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a27d5733cdb2c4c09b742f5df5c0b3e74">GetLogTime</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#ab3be61282e24ac3e3c64c6eb21d9aec1">GetLogType</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#acff3f38c17d50292c7f8ebe4946a7b41">Log</a>(LogLevel level, LogType type, string message)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">LogLevel</a> enum name</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#ad4e64f61acdc3f3923ed6bcc66fb7147">LogLevelToString</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">LogType</a> enum name</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a527455ddbfcf4565835a697b5debc443">LogTypeToString</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a0452f2fff71750632decff16693c559d">m_logLevel</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#acb7fe3984bf2e515ef8707b8cc9ebce1">m_logType</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a901492958fd6f506275abe197a3c28ff">m_message</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a21b9d683ca5b528a08a7af22fa882f1a">m_time</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>MenuAction</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Move</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Other</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Room</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Skill</b> enum value (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af06cfe8f6b2a6a72821e09e2558892aa">ToString</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Log</b>()=default (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
